# only run this sls against salt master as these checks will need to be run from master targeting specific minions

/root/srg-checks/srg.sh:
  file.managed:
    - source: salt://srg-checks/srg.sh
    - makedirs: True
    - mode: 0755

/root/srg-checks/mysqlsrg.sh:
  file.managed:
    - source: salt://srg-checks/mysqlsrg.sh
    - makedirs: True
    - mode: 0755

/root/srg-checks/OS_CentOS_SRG_TEMPLATE.ckl:
  file.managed:
    - source: salt://srg-checks/checklists/OS_CentOS_SRG_TEMPLATE.ckl

/root/srg-checks/OS_Ubuntu_SRG_TEMPLATE.ckl:
  file.managed:
    - source: salt://srg-checks/checklists/OS_Ubuntu_SRG_TEMPLATE.ckl

/root/srg-checks/MySQL_SRG_TEMPLATE.ckl:
  file.managed:
    - source: salt://srg-checks/checklists/MySQL_SRG_TEMPLATE.ckl
