games:
  user.absent

ftp:
  user.absent

/etc/ssh/sshd_config:
  file.managed:
    - source: salt://stig/CentOS/files/sshd_config

/etc/yum.conf:
  file.managed:
    - source: salt://stig/CentOS/files/yum.conf

/etc/login.defs:
  file.managed:
    - source: salt://stig/CentOS/files/login.defs

/etc/default/useradd:
  file.managed:
    - source: salt://stig/CentOS/files/useradd

/etc/pam.d/system-auth-ac:
  file.managed:
    - source: salt://stig/CentOS/files/system-auth-ac

/etc/pam.d/password-auth-ac:
  file.managed:
    - source: salt://stig/CentOS/files/password-auth-ac

/etc/audit/rules.d/audit.rules:
  file.managed:
    - source: salt://stig/CentOS/files/audit.rules

/etc/profile.d/tmout.sh:
  file.managed:
    - source: salt://stig/CentOS/files/tmout.sh

/etc/sysctl.d/10-sysctl.conf:
  file.managed:
    - source: salt://stig/CentOS/files/10-sysctl.conf

/etc/audisp/audisp-remote.conf:
  file.managed:
    - source: salt://stig/CentOS/files/audisp-remote.conf

/etc/modprobe.d/blacklist.conf:
  file.managed:
    - source: salt://stig/CentOS/files/blacklist.conf

/etc/modprobe.d/dccp.conf:
  file.managed:
    - source: salt://stig/CentOS/files/dccp.conf

sysctl --system:
  cmd.run:
    - onchanges:
      - file: /etc/sysctl.d/10-sysctl.conf

systemctl restart auditd.service:
  cmd.run:
    - onchanges:
      - file: /etc/audit/rules.d/audit.rules

systemctl restart sshd.service:
  cmd.run:
    - onchanges:
      - file: /etc/ssh/sshd_config
