openstack_api:
  iptables.insert:
    - position: 1
    - table: filter
    - chain: INPUT
    - jump: ACCEPT
    - match: state
    - connstate: NEW
    - dports:
      - 443
      - 9292
      - 9191
      - 7480
      - 5000
      - 8774
      - 8775
      - 8778
      - 8776
      - 9696
      - 8004
      - 8000
      - 9001
      - 9517
      - 9311
    - protocol: tcp
    - source: '10.50.0.0/16'
    - save: True

public_block_22:
  iptables.insert:
    - position: 2
    - table: filter
    - chain: INPUT
    - jump: DROP
    - match: state
    - connstate: NEW
    - source: '10.50.20.0/22'
    - save: True

public_block_21:
  iptables.insert:
    - position: 3
    - table: filter
    - chain: INPUT
    - jump: DROP
    - match: state
    - connstate: NEW
    - source: '10.50.24.0/21'
    - save: True

public_block_19:
  iptables.insert:
    - position: 4
    - table: filter
    - chain: INPUT
    - jump: DROP
    - match: state
    - connstate: NEW
    - source: '10.50.32.0/19'
    - save: True

public_block_18:
  iptables.insert:
    - position: 5
    - table: filter
    - chain: INPUT
    - jump: DROP
    - match: state
    - connstate: NEW
    - source: '10.50.64.0/18'
    - save: True

public_block_17:
  iptables.insert:
    - position: 6
    - table: filter
    - chain: INPUT
    - jump: DROP
    - match: state
    - connstate: NEW
    - source: '10.50.128.0/17'
    - save: True
